# $Revision: 1.42 $, $Date: 2012/03/23 09:47:04 $
# TODO:
# - review python deps
# - s,/usr/bin/env python,/usr/bin/python,
Summary:	A keyboard controlled (modal vim-like bindings, or with modifier keys) browser based on Webkit
Summary(hu.UTF-8):	Egy billentyűzettel irányítható (vim-szerű vagy módosító kódok) böngésző Webkit alapokon
Summary(pl.UTF-8):	Minimalistyczna przeglądarka w całości obsługiwana przy użyciu klawiatury
Name:		uzbl
Version:	2011.11.28
Release:	1
License:	GPL v3
Group:		X11/Applications/Networking
# git://github.com/Dieterbe/uzbl.git
Source0:	http://github.com/Dieterbe/uzbl/tarball/%{version}
# Source0-md5:	6e55474050b5df43d8bdd403248b1da6
URL:		http://www.uzbl.org/
BuildRequires:	gtk+2-devel
BuildRequires:	gtk-webkit-devel >= 1.2.0-4
BuildRequires:	libsoup-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
Requires:	%{name}-core = %{epoch}:%{version}-%{release}
Requires:	dmenu
Requires:	socat
Requires:	xclip
Requires:	zenity
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The uzbl browser is a keyboard controlled (modal vim-like bindings, or
with modifier keys) browser based on Webkit.

%description -l hu.UTF-8
Egy billentyűzettel irányítható (vim-szerű vagy módosító kódok)
böngésző Webkit alapokon.

%description -l pl.UTF-8
uzbl jest przeglądarką, która może być w całości obsługiwana przy
użyciu klawiatury. Domyślne ustawienia klawiszy są wzorowane na
skrótach klawiszowych programu vim. uzbl wykorzystuje silnik Webkit.

uzbl sam nie obsługuje zakładek, historii, pobierania plików. Funkcje
te są realizowane przez zewnętrzne skrypty. Dzięki temu oraz dzięki
ładowanym na życzenie skryptom JavaScript przeglądarka ta jest bardzo
elastyczna, konfigurowalna i może być w łatwy sposób rozszerzana.

%package core
Summary:	Uzbl core
Summary(pl.UTF-8):	Jądro Uzbl
Group:		X11/Applications/Networking
Requires:	gtk-webkit >= 1.2.0-4
Suggests:	%{name}-event-manager = %{epoch}:%{version}-%{release}
Obsoletes:	uzbl-examples
Obsoletes:	uzbl-scripts

%description core
Main component of uzbl browser. You also need one of UI components
(uzbl or uzbl-tabbed).

%description core -l pl.UTF-8
Jądro przeglądarki uzbl. Aby mieć w pełni funkcjonalną przeglądarkę
potrzebujesz jeszcze jeden z interfejsów graficznych: uzbl lub
uzbl-tabbed.

%package event-manager
Summary:	Uzbl event manager
Summary(pl.UTF-8):	Zarządca zdarzeń dla uzbl
Group:		X11/Applications/Networking

%description event-manager
Uzbl event manager.

%description event-manager -l pl.UTF-8
Zarządca zdarzeń dla uzbl.

%package tabbed
Summary:	Tabs for uzbl
Summary(hu.UTF-8):	Tabok uzbl-hez
Summary(pl.UTF-8):	Taby dla uzbl
Group:		X11/Applications/Networking
Requires:	%{name}-core = %{epoch}:%{version}-%{release}

%description tabbed
Wrapper for uzbl that provides firefox-style tabs.

%description tabbed -l hu.UTF-8
Egy uzbl-wrapper, amely firefox-stílusú tabok használatát teszi
lehetővé.

%description tabbed -l pl.UTF-8
Skrypt, który dodaje do uzbl taby podobne do tych znanych użytkownikom
przeglądarki firefox.

%prep
%setup -qc
mv Dieterbe-%{name}-*/* .

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	PREFIX=%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT

rm -r $RPM_BUILD_ROOT%{_datadir}/uzbl/docs

ln -s %{_bindir}/uzbl-browser $RPM_BUILD_ROOT%{_bindir}/uzbl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README docs/*
%attr(755,root,root) %{_bindir}/uzbl
%attr(755,root,root) %{_bindir}/uzbl-browser

%files core
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/uzbl-core
%dir %{_datadir}/uzbl
%dir %{_datadir}/uzbl/examples
%{_datadir}/uzbl/examples/config
%dir %{_datadir}/uzbl/examples/data
%dir %{_datadir}/uzbl/examples/data/scripts
%dir %{_datadir}/uzbl/examples/data/plugins
%attr(755,root,root) %{_datadir}/uzbl/examples/data/scripts/*
%attr(755,root,root) %{_datadir}/uzbl/examples/data/plugins/*
%{_datadir}/uzbl/examples/data/dforms
%{_datadir}/uzbl/examples/data/bookmarks
%{_datadir}/uzbl/examples/data/per-site-settings
%{_datadir}/uzbl/examples/data/uzbl.png

%files event-manager
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/uzbl-event-manager

%files tabbed
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/uzbl-tabbed

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: uzbl.spec,v $
Revision 1.42  2012/03/23 09:47:04  arekm
- up to 2011.11.28

Revision 1.41  2011/02/05 00:38:05  sparky
- added missing language tag in %description

Revision 1.40  2010/08/06 08:29:19  pawelz
- up to 2010.08.05
- dropped config patch. It is better to point new users to uzbl docs than to
  PLD homepage

Revision 1.39  2010/04/09 15:29:13  pawelz
- rel 2

Revision 1.38  2010/04/09 15:28:19  pawelz
- some TODO
- better pl description

Revision 1.37  2010/04/09 15:23:02  pawelz
- dmenu, socat, xclip, zenity deps moved to main package (these are deps of
  uzbl-browser, not uzbl-core)
- dropped bash dep, it should be autogenerated

Revision 1.36  2010/04/09 15:18:22  pawelz
- versioned explicit gtk-webkit depndency (gtk+2 API changed, but SONAME was not increased)

Revision 1.35  2010/04/03 19:49:50  pawelz
- up to 2010.04.03

Revision 1.34  2010/03/23 23:12:54  pawelz
- get rid of %{commit} macro
- dropped TODO (unbash scripts, done by upstream)

Revision 1.33  2010/03/21 19:11:10  pawelz
- decreased rel to 1

Revision 1.32  2010/03/21 19:10:45  pawelz
- up to 2010.03.14

Revision 1.31  2010/02/27 17:44:50  hawk
- release 2

Revision 1.30  2010/02/03 09:53:17  pawelz
- merged DEVEL, up to refs/tags/2010.02.02

Revision 1.28.2.3  2010/01/26 16:40:31  pawelz
- up to ref/tags/pawelz/2010.01.26 (follow script works again)

Revision 1.28.2.2  2010/01/17 11:59:03  pawelz
- dropped BR: curl-devel

Revision 1.28.2.1  2010/01/15 11:01:59  pawelz
- up to refs/tags/pawelz/2010.01.15

Revision 1.28  2010/01/12 14:51:10  pawelz
- apply config-nojs.patch (disables features broken by last security fix)
- rel 2

Revision 1.27  2010/01/10 19:26:10  pawelz
- up to 2010.01.05
- fixes "Nasty security bug", see: http://www.uzbl.org/news.php?id=22

Revision 1.26  2010/01/06 09:38:48  pawelz
- adapterized

Revision 1.25  2010/01/04 09:50:59  pawelz
- R: xclip (used by default config)

Revision 1.24  2010/01/04 09:01:35  pawelz
- core merged with examples and scripts
- don't try to "fix" uzbl directory structure

Revision 1.23  2010/01/04 08:44:31  pawelz
- up to 2009.22.12
- new subpackages: cookie-daemon, event-manager, core

Revision 1.22  2009/11/17 21:21:22  zbyniu
- BR: pkgconfig, rpm-pythonprov

Revision 1.21  2009/09/12 16:18:54  pawelz
- up to refs/tags/2009.09.12

Revision 1.20  2009/08/28 07:59:14  pawelz
- up to 20090826

Revision 1.19  2009/08/12 10:59:56  pawelz
- up to refs/tags/2009.08.08 (35c7b6e8b5ed53f03770639cc11bd62fbf1bff26)

Revision 1.18  2009/07/19 00:00:48  pawelz
- pl
- adapterized

Revision 1.17  2009/07/18 23:17:21  pawelz
- added uzbl-dmenu.patch

Revision 1.16  2009/07/18 19:25:52  pawelz
- up to git:refs/tags/2009.07.18

Revision 1.15  2009/07/18 19:01:57  pawelz
- removed some TODO lines (already done)

Revision 1.14  2009/07/13 14:18:21  uzsolt
- hu update

Revision 1.13  2009/07/13 14:14:01  pawelz
- scripts subpackage
- examples contains only configs now

Revision 1.12  2009/07/13 12:58:44  pawelz
- tabbed subpackage

Revision 1.11  2009/07/13 12:38:56  pawelz
- up to 20090703

Revision 1.10  2009/06/23 07:18:05  pawelz
- up to 20090620

Revision 1.9  2009/06/11 14:17:14  uzsolt
- hu summaries and descriptions
- adapterized

Revision 1.8  2009/06/08 06:07:45  pawelz
- refetch sources

Revision 1.7  2009/06/08 05:36:22  pawelz
- up to 20090607

Revision 1.6  2009/06/05 14:22:11  pawelz
- split example config and scripts into subpackage
- some TODOs

Revision 1.5  2009/05/31 16:46:07  uzsolt
- suggests dmenu (example-config uses dmenu)

Revision 1.4  2009/05/30 15:36:09  pawelz
- rel 2

Revision 1.3  2009/05/30 15:12:01  uzsolt
- /usr/share/uzbl dir

Revision 1.2  2009/05/29 18:20:45  pawelz
- better location for scripts and data
- mark scripts as executables

Revision 1.1  2009/05/29 17:12:57  pawelz
- initial PLD release
